@import "CssWorkgroup";

.landingpage {
    position: relative;
    width: 100%;
    height: calc(100vh - #{$topbar-height});

    .container {
        @include _containerHelper('full', 0);
        height: 100%;

        > * {
            position: relative;
            width: 100%;
            min-height: 50%;
            padding: $grid-gap 6vw;
            z-index: map_get($z-index, 'body');
            @include _display-flex(flex, center, center, column);

            background-position: center;
            background-size: cover;
            background-repeat: no-repeat;
            text-align: center;

            &:before {
                content: '';
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                z-index: map_get($z-index, 'back');
            }

            &.live-teaser:before {
                background: $color-primary;
                opacity: .85;
            }

            &.create-teaser:before {
                background: $color-secondary;
                opacity: .9;
            }
        }

        h1 {
            position: relative;
            width: 40%;
            display: block;
            @include _font-headline('regular', $color-white);
            @include _font-size(32px);

            border-bottom: 1px solid $color-white;
            padding-bottom: 10px;
            margin-bottom: $grid-gap*2;

            &:before {
                position: absolute;
                left: calc(50% - 10px);
                bottom: -18px;
                @include _getIcon('heart');
            }
        }

        p {
            @include _font-paragraph('regular', $color-white);
        }

        article > a, button {
            width: 100%;
        }

        .options {
            width: 100%;
            margin-top: 10px;
        }


        @include _respond-to(tablets) {
            @include _display-flex(flex, stretch, center, row);

            > * {
                height: 100%;
            }
        }
    }

    .empty-state {
        display: none;
    }
}
